【活用ガイド】

JVNDB-2006-000128

kdegraphics の Kpdf におけるバッファオーバーフローの脆弱性

概要

kdegraphics に含まれる Kpdf には、不正な PDF ファイルを開いた場合にバッファオーバーフローが発生しメモリ領域が上書きされる脆弱性 (CVE-2005-3627) に対する修正が不完全であっため、依然としてこの影響を受けてしまう脆弱性が存在します。
CVSS による深刻度 (CVSS とは?)

CVSS v2 による深刻度
基本値: 10.0 (危険) [NVD値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 低
  • 攻撃前の認証要否: 不要
  • 機密性への影響(C): 全面的
  • 完全性への影響(I): 全面的
  • 可用性への影響(A): 全面的
影響を受けるシステム


レッドハット
  • Red Hat Enterprise Linux 4 (as) 
  • Red Hat Enterprise Linux 4 (es) 
  • Red Hat Enterprise Linux 4 (ws) 

想定される影響

Kpdf がクラッシュする、あるいは Kpdf の実行権限で任意のコードを実行される可能性があります。
対策

ベンダより正式な対策が公開されています。ベンダ情報を参照して適切な対策を実施してください。
ベンダ情報

レッドハット
CWEによる脆弱性タイプ一覧  CWEとは?

  1. CWE以外(CWE-nocwe) [NVD評価]
共通脆弱性識別子(CVE)  CVEとは?

  1. CVE-2006-0746
参考情報

  1. National Vulnerability Database (NVD) : CVE-2006-0746
  2. Secunia Advisory : SA17920
更新履歴

  • [2007年04月01日]
      掲載